Description

Push synchronization (cn.synchronize, mn.updateSystemMetadata) involves an end-user that might want to have an idea of how

long until the queued action is going to take to complete.  Something as simple as returning the place in line of the sync request

might suffice as the indicator, or a more complete data packet, including the place in line and the queue velocity, could be attempted.

The real-world analogy for this kind of indictor is taking a number at the deli-counter: You don't know when you will be served, but

you know how many people are in front of you. 

This option is a separate call to the CN to check the status of the sync request, so that the current place in line is returned.  The

advantage of this is that if the velocity of synchronization changes, the interested party can call again and get an updated value - it

has more diagnostic and monitoring power.  This could lead to over-use, however.

Subtasks:

Task # 7744: put together initial design New

History

#1 - 2015-06-18 08:31 - Rob Nahf

- Subject changed from push synchronization place-in-line indicator: synchronizeStatus method option to push synchronization request status

indicator: synchronizeStatus method option

#2 - 2015-07-01 20:18 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.1.0

Defer this to 2.1 so it is not blocking 2.0 release

#3 - 2016-02-09 18:46 - Dave Vieglais

- Target version changed from CCI-2.1.0 to CCI-2.2.0

#4 - 2016-06-13 23:59 - Rob Nahf

- Target version changed from CCI-2.2.0 to CCI-2.3.0

could this be accomplished via synchronization monitoring?

#5 - 2016-06-22 17:19 - Rob Nahf

- Target version changed from CCI-2.3.0 to CCI-2.4.0

#6 - 2018-01-17 19:38 - Dave Vieglais

- Sprint set to Infrastructure backlog
